#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main()
{
  ios_base::sync_with_stdio(0);
  cin.tie(0);

  int a, b, x, y;
  cin >> a >> b >> x >> y;

  if (a == x && b == y)
  {
    cout << "nijedan\n";
  }
  else if (a == x)
  {
    cout << "drugi\n";
  }
  else if (b == y)
  {
    cout << "prvi\n";
  }
  else
  {
    cout << "?\n";
  }
}